Description: change path to GL/glext.h to the system one, and make sure #includes are copied
Origin: vendor
Bug: https://sourceforge.net/p/pogl/bugs/28/
Bug-Debian: https://bugs.debian.org/941919
Forwarded: https://sourceforge.net/p/pogl/bugs/28/
Author: gregor herrmann <gregoa@debian.org>
 Florian Schlichting <fsfs@debian.org>
Last-Update: 2023-01-14

--- a/utils/glext_procs.pl
+++ b/utils/glext_procs.pl
@@ -1,5 +1,5 @@
 $|++;
-my $file = '../include/GL/glext.h';
+my $file = '/usr/include/GL/glext.h';
 die "Unable to read '$file'" if (!open(FILE,$file));
 
 my $exts = '../glext_procs.h';
@@ -49,7 +49,7 @@
 while (<FILE>)
 {
   my $line = $_;
-  next if ($line !~ m|^\*\* Copyright \(c\) 20\d\d-20\d\d The Khronos Group Inc\.|);
+  next if ($line !~ m|^\*\* Copyright (?:\(c\) )?20\d\d-20\d\d The Khronos Group Inc\.|);
   print EXTS $line;
   print CNST $line;
   last;
@@ -182,9 +182,10 @@
   else
   {
     print EXTS $line;
-    next if $line =~ /^(#include|#define) /;
-    print CNST $line;
+    next if $line =~ /^#define /;
     print TYPE $line;
+    next if $line =~ /^#include /;
+    print CNST $line;
   }
 }
 
